Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.impl.model.xml
Class JaxbI18NText

    java.lang.Object
      org.jbpm.services.task.impl.model.xml.JaxbI18NText

All Implemented Interfaces:
  Externalizable, Serializable, I18NText

    public class JaxbI18NText

extends Object
implements I18NText

See Also:
  Serialized Form

Constructor Summary
`JaxbI18NText()`
`JaxbI18NText(I18NText text)`

Method Summary
`static List<JaxbI18NText>` | `convertListFromInterfaceToJaxbImpl(List<I18NText> textList)`
`static List<I18NText>` | `convertListFromJaxbImplToInterface(List<JaxbI18NText> jaxbList)`
`Long` | `getId()`
`String` | `getLanguage()`
`String` | `getText()`
`void` | `readExternal(ObjectInput in)`
`void` | `setId(Long id)`
`void` | `setLanguage(String lang)`
`void` | `setText(String text)`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JaxbI18NText

    public JaxbI18NText()

### JaxbI18NText

    public JaxbI18NText(I18NText text)

Method Detail

### getId

    public Long getId()

  Specified by:
    `getId` in interface `I18NText`

### setId

    public void setId(Long id)

### getText

    public String getText()

  Specified by:
    `getText` in interface `I18NText`

### setText

    public void setText(String text)

### getLanguage

    public String getLanguage()

  Specified by:
    `getLanguage` in interface `I18NText`

### setLanguage

    public void setLanguage(String lang)

### convertListFromInterfaceToJaxbImpl

    public static List<JaxbI18NText> convertListFromInterfaceToJaxbImpl(List<I18NText> textList)

### convertListFromJaxbImplToInterface

    public static List<I18NText> convertListFromJaxbImplToInterface(List<JaxbI18NText> jaxbList)

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.